import { world } from "@minecraft/server";

world.afterEvents.entityHurt.subscribe((evento) => {
    const atacante = evento.damageSource.damagingEntity;
    const vitima = evento.hurtEntity;
    const dano = evento.damage;

    if (atacante && atacante.typeId === "minecraft:player") {
        const valorDano = Math.round(dano * 10) / 10;
        const local = vitima.location;

        const indicador = vitima.dimension.spawnEntity("nz:dmgindicator", local);
        indicador.nameTag = `§c- ${valorDano}`;
    }
});